package com.fs.doc.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 记录对象 doc_record
 * 
 * @author fs
 * @date 2023-01-09
 */
public class DocRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long recordId;

    /** 档案ID */
    @Excel(name = "档案ID")
    private Long docId;

    private Long userId;

    /** 记录类型 */
    @Excel(name = "记录类型")
    private Integer recordType;

    /** 标题 */
    @NotNull(message = "身体情况不能为空")
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** JSON数据 */
    @Excel(name = "JSON数据")
    private String jsonInfo;

    private String images;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 员工ID */
    @Excel(name = "员工ID")
    private Long companyUserId;

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId() 
    {
        return recordId;
    }
    public void setDocId(Long docId) 
    {
        this.docId = docId;
    }

    public Long getDocId() 
    {
        return docId;
    }
    public void setRecordType(Integer recordType) 
    {
        this.recordType = recordType;
    }

    public Integer getRecordType() 
    {
        return recordType;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setJsonInfo(String jsonInfo) 
    {
        this.jsonInfo = jsonInfo;
    }

    public String getJsonInfo() 
    {
        return jsonInfo;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId) 
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId() 
    {
        return companyUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("docId", getDocId())
            .append("recordType", getRecordType())
            .append("title", getTitle())
            .append("content", getContent())
            .append("jsonInfo", getJsonInfo())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .toString();
    }
}
